<?php
//define this module's name and path
$mn = basename(__FILE__, ".php");
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];
$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];

if (empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)) {
    $Mmargin = "0";
} else {
    $Mmargin = $marginTop . " " . $marginRight . " " . $marginBottom . " " . $marginLeft . " ";
}
if (empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)) {
    $Mpadding = "0";
} else {
    $Mpadding = $paddingTop . " " . $paddingRight . " " . $paddingBottom . " " . $paddingLeft . " ";
}

$musicFiles = $moduleParameters["musicFiles"];
$playerWidth = (int)$moduleParameters["playerWidth"];
$playerWidth = ($playerWidth > 300) ? $playerWidth : 300;
$mp3 = explode(",", $musicFiles);
if (!count($mp3)) {
    echo "Error: No mp3 files specified";
    return;
}
$invalid = 0;
$files = array();
$titles = array();
$artists = array();
foreach ($mp3 as $file) {
    if ($fileSystem->getExtensionByFileName($file) == "mp3") { // only mp3 files are valid
        $mediabankID = $fileSystem->getFileBaseName($file);
        $files[] = "mediabank/" . $file;
        $titles[] = $fileSystem->getMediabankTitle($mediabankID);
    } else {
        $invalid++;
    }
}

if (count($mp3) == $invalid) {
    echo "Error: No valid mp3 files specified";
    return;
}

if ($useModuleContainer){
?>
<div id="<?php echo $mn . $sufixID; ?>" class="responsive_float" data-editable="editable">
    <?php
    }

    global $head_styles;
    ob_start();
    ?>
    <style>
        <?php
        if($useModuleContainer ){
            ?>
        #<?php echo $mn.$sufixID;?>{
	<?php 
	$alignRule = ($moduleParameters['moduleAlign'] == "center") ? "text-align" : "float";
	echo $alignRule.": ".$moduleParameters['moduleAlign'].";".PHP_EOL;
	?>
	margin : <?php echo $Mmargin;?>;
	padding : <?php echo $Mpadding;?>;
<?php
if($widthInPixels){
	?>
	width: <?php echo $widthInPixels;?>px;
	<?php 
}	

if($moduleParameters['moduleAlign'] && $moduleParameters['moduleHR']){ // there are system parameters...

if($moduleParameters['moduleHR'] == "top" || $moduleParameters['moduleHR'] == "bottom"){
?>
	border-<?php echo $moduleParameters['moduleHR'];?> : 1px solid black;
<?php 
}
}
?>
}

        <?php
        }
        ?>

        .jp-audio{
            width: 90%;
            max-width:<?php echo $playerWidth;?>px !important;
        }

    </style>
    <?php
    $head_styles .= ob_get_clean();
    ?>

    <script>
        $(document).ready(function () {
            new jPlayerPlaylist({
                jPlayer: "#jplayer_<?php echo $mn . $sufixID;?>",
                cssSelectorAncestor: "#jp_container_<?php echo $mn . $sufixID;?>"
            }, [
                <?php
                foreach($files as $key=>$file){
                ?>
                {
                    title: "<?php echo $titles[$key];?>",
                    mp3: "<?php echo $file;?>",
                },
                <?php
                }
                ?>
            ], {
                /*swfPath: "../../dist/jplayer",*/
                supplied: "mp3",
                /*wmode: "window",*/
                useStateClassSkin: true,
                autoBlur: false,
                smoothPlayBar: true,
                keyEnabled: true
            });
        });
    </script>

    <div id="jplayer_<?php echo $mn . $sufixID; ?>" class="jp-jplayer"></div>

    <div id="jp_container_<?php echo $mn . $sufixID; ?>" class="jp-audio" role="application" aria-label="media player">
        <div class="jp-type-playlist">
            <div class="jp-gui jp-interface">
                <div class="jp-volume-controls">
                    <button class="jp-mute" role="button" tabindex="0">mute</button>
                    <button class="jp-volume-max" role="button" tabindex="0">max volume</button>
                    <div class="jp-volume-bar">
                        <div class="jp-volume-bar-value"></div>
                    </div>
                </div>
                <div class="jp-controls-holder">
                    <div class="jp-controls">
                        <button class="jp-previous" role="button" tabindex="0">previous</button>
                        <button class="jp-play" role="button" tabindex="0">play</button>
                        <button class="jp-stop" role="button" tabindex="0">stop</button>
                        <button class="jp-next" role="button" tabindex="0">next</button>
                    </div>
                    <div style="display:table; margin: auto">
                        <div class="jp-progress">
                            <div class="jp-seek-bar">
                                <div class="jp-play-bar"></div>
                            </div>
                        </div>
                    </div>
                    <div class="jp-current-time" role="timer" aria-label="time">&nbsp;</div>
                    <div class="jp-duration" role="timer" aria-label="duration">&nbsp;</div>
                    <div class="jp-toggles">
                        <button class="jp-repeat" role="button" tabindex="0">repeat</button>
                        <button class="jp-shuffle" role="button" tabindex="0">shuffle</button>
                    </div>
                </div>
            </div>
            <div class="jp-playlist">
                <ul>
                    <li>&nbsp;</li>
                </ul>
            </div>
            <div class="jp-no-solution">
                <span>Update Required</span>
                To play the media you will need to update your browser to a recent version.
            </div>
        </div>
    </div>

    <?php
    if ($useModuleContainer){
    ?>
</div>
<?php
}
?>
